featureCount {mRMRe} | R Documentation

## Accessor function for the 'featureCount' information in a mRMRe.Data, mRMRe.Filter and mRMRe.Network object.

### Description

The feature count is simply the total number of feature considered in the mRMRe procedure.

### Usage

    ## S4 method for signature 'mRMRe.Data'
    featureCount(object)
    ## S4 method for signature 'mRMRe.Filter'
    featureCount(object)
    ## S4 method for signature 'mRMRe.Network'
    featureCount(object)

### Arguments

`object` | a `mRMRe.Data, mRMRe.Filter or mRMRe.Network` object.

### Author(s)

Nicolas De Jay, Simon Papillon-Cavanagh, Benjamin Haibe-Kains

### Examples

    set.thread.count(2)
    data(cgps)
    feature_data <- mRMR.data(data =  data.frame(cgps.ge))
    featureCount(feature_data)
    filter <- mRMR.classic("mRMRe.Filter", data = feature_data, target_indices = 3:5,
    						feature_count = 2)
    featureCount(filter)

[Package mRMRe version 2.0.9 Index]